<template>
    <div class="prk-order__progress-container">
        <div class="prk-order__progress-row" >
            <div 
                class="prk-order__progress-item col"
                :class="{'prk-order__progress-item-active':index <= currentItem}" 
                v-for="(item, index) in 5" :key="index">
                <div class="prk-order__progress-item-inner"></div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'ProgressForm',
    props: {
        currentItem: Number
    },
}
</script>

<style lang="stylus">
.prk-order
    &__progress
        &-row
            display flex
            flex-wrap wrap
            margin-left -3px
            margin-right -3px
            padding-bottom 35px
        &-item
            padding-left 3px
            padding-right 3px
            &-inner
                border 1px solid #707070
                border-radius 6px
                padding 6px 0
            &-active>&-inner
                border-color #AF0037
                background #AF0037
</style>
